function SpectrGrp=spectrhgroup(Spectr,iFund,iHarm=[])
  deltai = iFund-1;
  nComp = length(Spectr.f);
  if (isempty(iHarm))
    iHarm = [1 iFund:deltai:nComp];
  else
    iHarm = 1+iHarm*deltai;
  endif
  rmsg = zeros(1,length(iHarm));
  for ig=[1:length(iHarm)]
    if (iHarm(ig) == 1)
      rmsg(ig) = Spectr.rms(1);
    else
      if (ig == 1)
        iInf = 2;
      elseif (iHarm(ig-1) == 1)
        iInf = 2;
      else
        iInf = (iHarm(ig-1)+iHarm(ig))/2;
      endif
      if (ig == length(iHarm))
        iSup = nComp;
      else
        iSup = (iHarm(ig)+iHarm(ig+1))/2;
      endif
      ss = sum(Spectr.rms(ceil(iInf):floor(iSup)).^2);
      if (iInf > 2 && mod(iInf,1) == 0)
        ss -= Spectr.rms(iInf)^2/2;
      endif
      if (iSup < nComp && mod(iSup,1) == 0)
        ss -= Spectr.rms(iSup)^2/2;
      endif
      rmsg(ig) = sqrt(ss);
    endif
  endfor
  SpectrGrp.k = [0:length(iHarm)-1];
  SpectrGrp.f = Spectr.f(iHarm);
  SpectrGrp.rms = rmsg;
endfunction
